%define upstream_name    POE-Component-Server-XMLRPC
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl module to publish POE event handlers via XMLRPC over HTTP
License:	Artistic and GPL+
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(POE::Component::Server::HTTP)
BuildRequires:  perl(SOAP::Lite) 
BuildRequires:  perl(XMLRPC::Lite)
BuildArch: noarch


%description
POE::Component::Server::XMLRPC is a bolt-on component that can publish a event
handlers via XMLRPC over HTTP.

%prep
%setup -q -n POE-Component-Server-XMLRPC-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc README CHANGES
%{perl_vendorlib}/POE
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-7.mga6
+ Revision: 1032571
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 934801
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 750177
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 685828
- Mageia 5 Mass Rebuild

* Fri Dec 20 2013 sander85 <sander85> 0.50.0-3.mga4
+ Revision: 559256
- Add missing BR

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 371288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 37589
- mageia rebuild
- imported package perl-POE-Component-Server-XMLRPC


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 406182
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.05-7mdv2009.0
+ Revision: 258273
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.05-6mdv2009.0
+ Revision: 246330
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.05-4mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.05-4mdv2008.0
+ Revision: 25146
- rebuild


* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.05-3mdk
- Fix According to perl Policy
	- BuildRequires
	- URL
	- Source URL

* Wed Mar 29 2006 Michael Scherer <misc@mandriva.org> 0.05-2mdk
- fix BuildRequires

* Fri Jan 27 2006 Michael Scherer <misc@mandriva.org> 0.05-1mdk
- First Mandriva package

